RFC1 Search Results
RFC1 Datasheets (2)
| Part | ECAD Model | Manufacturer | Description | Datasheet Type | PDF Size | Page count | |
|---|---|---|---|---|---|---|---|
| RFC-14 | JW Miller | Radio Frequency Chokes | Scan | 319.33KB | 1 | ||
| RFC-144 | JW Miller | Radio Frequency Chokes | Scan | 319.33KB | 1 |
RFC1 Price and Stock
Omega Engineering CRFC-1512/120-C-AHIGH TEMPERATURE, LOW MASS, VACUUM FORMED CERAMIC RADIANT FULL CYLINDER HEATERS - Bulk (Alt: CRFC-1512/120-C-A) |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
CRFC-1512/120-C-A | Bulk | 8 Weeks | 1 |
|
Buy Now | |||||
|
CRFC-1512/120-C-A | Bulk | 1 |
|
Buy Now | ||||||
Everlight Electronics Co Ltd QTLP601C4TR/FC19-213SYGC/S530-E2/TR- Tape and Reel (Alt: QTLP601C4TR/FC19-213SYGC/S530-E2/TR) |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
QTLP601C4TR/FC19-213SYGC/S530-E2/TR | Tape & Reel | 12 Weeks | 6,000 |
|
Get Quote | |||||
Omega Engineering CRFC-112/120-AHIGH TEMPERATURE, LOW MASS, VACUUM FORMED CERAMIC RADIANT FULL CYLINDER HEATERS - Bulk (Alt: CRFC-112/120-A) |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
CRFC-112/120-A | Bulk | 8 Weeks | 1 |
|
Buy Now | |||||
Omega Engineering CRFC-12512/120-AHIGH TEMPERATURE, LOW MASS, VACUUM FORMED CERAMIC RADIANT FULL CYLINDER HEATERS - Bulk (Alt: CRFC-12512/120-A) |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
CRFC-12512/120-A | Bulk | 8 Weeks | 1 |
|
Buy Now | |||||
Omega Engineering CRFC-1512/120-AHIGH TEMPERATURE, LOW MASS, VACUUM FORMED CERAMIC RADIANT FULL CYLINDER HEATERS - Bulk (Alt: CRFC-1512/120-A) |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
CRFC-1512/120-A | Bulk | 8 Weeks | 1 |
|
Buy Now | |||||
RFC1 Datasheets Context Search
| Catalog Datasheet | Type | Document Tags | |
|---|---|---|---|
RFC1321
Abstract: verilog code 8 bit block diagram of AND gate
|
Original |
rfc1321512-bit75mbpsverilog code 8 bit+1 | |
|
Contextual Info: Wideband Amplifier Product Features • • • • • • • GaN MMIC Very Low Distortion Guaranteed Broadband Power Gain Heat Sink 99.9% Copper, Ag or Gold Plate Excellent Thermal Conductivity Single Supply Voltage @ 12V No External Circuit needed RFC1G18H4-12 |
Original |
rfc1g18h4-121g18h4dp-27 | |
RFC1G22-24
Abstract: DP-27
|
Original |
rfc1g22-24dp-27 | |
RFC1G18H4-24Contextual Info: Wideband Amplifier RFC1G18H4-24 Product Features Application • GaN MMIC • Very Low Distortion • Guaranteed Broadband Power Gain • Heat Sink 99.9% Copper, Ag or Gold Plate • Excellent Thermal Conductivity • Single Supply Voltage @ 24V • No External Circuit needed |
Original |
rfc1g18h4-24dp-27rfc1g18h4- | |
RFC1G18H4-24
Abstract: DP-27 DSA0016250
|
Original |
rfc1g18h4-24dp-27rfc1g18h4-dsa0016250 | |
toaster
Abstract: ERNIE RT210
|
Original |
rfc1183toastererniert210 | |
RAMB16
Abstract: 3s500e-5 RFC1321
|
Original |
rfc1321512-bit75mbpsramb16+1 | |
RFC1321
Abstract: 2S15 2C20F484C6 3C16F484C6
|
Original |
rfc1321512-bit75mbps2s15+2 | |
RFC-1990
Abstract: RFC1990 bts 2140 1b MPC8360E MPC8569E
|
Original |
an3881rfc1990rfc-1990bts 2140 1b+2 | |
|
Contextual Info: Wideband Amplifier Product Features • • • • • • • GaN MMIC Very Low Distortion Guaranteed Broadband Power Gain Heat Sink 99.9% Copper, Ag or Gold Plate Excellent Thermal Conductivity Single Supply Voltage @ 12V No External Circuit needed RFC1G18H4-12 |
Original |
rfc1g18h4-121g18h4 | |
|
Contextual Info: Wideband Amplifier RFC1G18H4-24 Product Features • • • • • • • GaN MMIC Very Low Distortion Guaranteed Broadband Power Gain Heat Sink 99.9% Copper, Ag or Gold Plate Excellent Thermal Conductivity Single Supply Voltage @ 24V No External Circuit needed |
Original |
rfc1g18h4-24rfc1g18h4- | |
MOTOROLA ELECTROLYTIC CAPACITOR
Abstract: mrf255 MRF255 equivalent mrf255 mosfet motorola rf Power Transistor MOTOROLA TRANSISTOR 279 MRF255PHT Trimmer ARCO #464 motorola mosfet Trimmer ARCO
|
Original |
mrf255pht/dmrf255motorola electrolytic capacitormrf255 equivalent+7 | |
RFC 1G18H4- 24-S
Abstract: RFC1G18H4-24-S SOT-115J amplifier gain 36 dB frequency 1GHz a hybrid wideband amplifier
|
Original |
rfc1g18h4-24-sot-115jrfc1g18h4-1g18h4-+4 | |
NetLogic
Abstract: NetLogic Microsystems network search engine netlogic longest prefix matching algorithm code NFA 10G verilog code for longest prefix matching invalid opcode netlogic "application note" longest prefix matching algorithm cidr
|
Original |
ncs018nl77542rfc1519oc-192+10 | |
|
|
|||
|
Contextual Info: Document 1125-1 Power Inductors – RFC1010 Series • Low cost, high current power inductors • 30 inductance values; 68 µH to 18 mH • Flame retardant polyolefin wrap to protect the winding. Core material Ferrite Terminations RoHS compliant tin-silver over tin over copper over |
Original |
rfc1010 | |
SOT-115J
Abstract: amplifier gain 36 dB frequency 1GHz RFC1G18H4-24-S RFC 1G18H4- 24-S
|
Original |
rfc1g18h4-24-sot-115jrfc1g18h4-1g18h4-+3 | |
|
Contextual Info: Wideband Amplifier Product Features • • • • • • • GaN MMIC Very Low Distortion Guaranteed Broadband Power Gain Heat Sink 99.9% Copper, Ag or Gold Plate Excellent Thermal Conductivity Single Supply Voltage @ 24V No External Circuit needed RFC1G18H4-24 |
Original |
rfc1g18h4-24rfc8718h4-24rfc1g18h4-1g18h4-+1 | |
C5-C17
Abstract: Q229 MRF255
|
OCR Scan |
mrf255pht/dmrf2552phx34730qc5-c17+1 | |
RFC1G22-24
Abstract: 1G22-24
|
Original |
rfc1g22-241g22-24 | |
GR-1400Contextual Info: PHAST-12E Device Programmable, High-Performance ATM/PPP/TDM SONET/SDH Terminator for Level 12 with Enhanced Features TXC-06212 TECHNICAL OVERVIEW LINE SIDE Serial LIU Clocks The PHAST-12E is a highly integrated SONET/SDH terminator device designed for ATM cell, frame, higher order multiplexing, |
Original |
phast-12etxc-06212sts-12/sts-12c/stm-4/stm-4csts-12+2 | |
MC 4011 BCP
Abstract: PKT 4113 API ncp 6131 SWITCHING SYSTEMS INTERNATIONAL sqm 225 leach 1522 her 4541 MSP SNCP t 1451 n 52 toh SWITCHING SYSTEMS INTERNATIONAL sqm 350 k2400 EQUIVALENT
|
Original |
oc-12/stm-4txc-06745txc-06745-mbgmii/24x+13 | |
5 PEN PC TECHNOLOGY apllicationsContextual Info: DATA SHEET PM PMC-970113 ISSUE 3 PMC-Sierra, Inc. PM3351 e l a n 1x100 SINGLE PORT FAST ETHERNET SWITCH PM3351 ELAN 1X100 SINGLE PORT FAST ETHERNET SWITCH DATA SHEET ISSUE 3: FEBRUARY 1998 PROPRIETARY AND CONFIDENTIAL TO PMC-SIERRA, INC., AND FOR ITS CUSTOMERS’ INTERNAL USE |
OCR Scan |
pmc-970113pm33511x1005 pen pc technology apllications | |
FR4 Prepreg
Abstract: FR4 Prepreg for RF 06 layer PCB S2254 S2528
|
Original |
sky67002-396lfj-std-020201442bfr4 prepreg+3 | |
McMaster-Carr
Abstract: m174 92196a ATC200B marking h5 92196A1 91252 5050-0037
|
Original |
sd39332002/95/eecmcmaster-carrm174+6 | |